Bug 785416 - Review Request: python-xappy - A Python module providing an easy-to-use layer on top of the Xapian search engine
Summary: Review Request: python-xappy - A Python module providing an easy-to-use layer...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Haïkel Guémar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-01-28 20:12 UTC by Luke Macken
Modified: 2016-09-20 02:43 UTC (History)
5 users (show)

Fixed In Version: python-xappy-0.6.0-0.2.svn624.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-04-12 03:10:29 UTC
Type: ---
karlthered: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Luke Macken 2012-01-28 20:12:19 UTC
Spec URL: http://lmacken.fedorapeople.org/rpms/python-xappy.spec
SRPM URL: http://lmacken.fedorapeople.org/rpms/python-xappy-0.6.0-0.1.svn624.el6.src.rpm
Description: 
The "xappy" python module is an easy-to-use interface to the Xapian
search engine. Xapian provides a low level interface, dealing with terms
and documents, but not really worrying about where terms come from, or
how to build searches to match the way in which data has been indexed. In
contrast, "xappy" allows you to design a field structure, specifying what
kind of information is held in particular fields, and then uses this
field structure to index data appropriately, and to build and perform
searches.

Comment 1 Haïkel Guémar 2012-03-13 06:44:24 UTC
I will review this package

Comment 2 Haïkel Guémar 2012-03-13 07:16:15 UTC
Few fixes before formal review starts:
* there's a typo in the license
* Summary is way too long (e.g: A python high-level wrapper to Xapian search engine)
* missing requires: xapian-bindings-python 
* you should remove the shebang line from the files in xappy.cachemanager, not required for executing modules as scripts.
* if you generated the tarball manually, please add a comment explaining how it was generated and add the license file (upstream latest tarball does at least)
* if you plan not to support EPEL5, please remove the buildroot tag, the buildroot manual cleaning and the defattr macros.

Comment 3 Luke Macken 2012-03-13 21:09:55 UTC
Spec URL: http://lmacken.fedorapeople.org/rpms/python-xappy.spec
SRPM URL:
http://lmacken.fedorapeople.org/rpms/python-xappy-0.6.0-0.1.svn624.fc16.src.rpm

* Tue Mar 13 2012 Luke Macken <lmacken@redhat.com> - 0.6.0-0.2.svn624
- Fix a typo in the license
- Shorten the summary
- Require xapian-bindings-python
- Remove shebangs
- Add svn snapshot instructions
- Remove the buildroot tag, buildroot cleaning, and defattr
- Include the license

Comment 5 Luke Macken 2012-03-13 21:11:19 UTC
Actual SRPM URL (part 2):
http://lmacken.fedorapeople.org/rpms/python-xappy-0.6.0-0.2.svn624.fc16.src.rpm

Comment 6 Haïkel Guémar 2012-03-15 08:11:23 UTC
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[!]: MUST Rpmlint output is silent.

rpmlint python-xappy-0.6.0-0.2.svn624.fc18.src.rpm

python-xappy.src: W: spelling-error %description -l en_US Xapian -> Caspian
python-xappy.src: W: invalid-url Source0: http://xappy.googlecode.com/files/xappy-0.6.0dev-r624.tar.bz2 HTTP Error 404: Not Found
1 packages and 0 specfiles checked; 0 errors, 2 warnings.


rpmlint python-xappy-0.6.0-0.2.svn624.fc18.noarch.rpm

python-xappy.noarch: W: spelling-error %description -l en_US Xapian -> Caspian
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


[!]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
/home/builder/785416/xappy-0.6.0dev-r624.tar.bz2 :
  MD5SUM this package     : 436e2a48b19c13cc797a64331353ef08
  MD5SUM upstream package : d41d8cd98f00b204e9800998ecf8427e

[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[x]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[-]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX is a working URL.
[-]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[-]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:
[!]: MUST Rpmlint output is silent.

rpmlint python-xappy-0.6.0-0.2.svn624.fc18.src.rpm

python-xappy.src: W: spelling-error %description -l en_US Xapian -> Caspian
python-xappy.src: W: invalid-url Source0: http://xappy.googlecode.com/files/xappy-0.6.0dev-r624.tar.bz2 HTTP Error 404: Not Found
1 packages and 0 specfiles checked; 0 errors, 2 warnings.


rpmlint python-xappy-0.6.0-0.2.svn624.fc18.noarch.rpm

python-xappy.noarch: W: spelling-error %description -l en_US Xapian -> Caspian
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint
[!]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
/home/builder/785416/xappy-0.6.0dev-r624.tar.bz2 :
  MD5SUM this package     : 436e2a48b19c13cc797a64331353ef08
  MD5SUM upstream package : d41d8cd98f00b204e9800998ecf8427e

See: http://fedoraproject.org/wiki/Packaging/SourceURL


Generated by fedora-review 0.1.3
External plugins:

* GPLv2+ licensed 
* rpmlint output could be safely ignored (error spelling false positives)
* due to the tarball generation process (from svn), the checksum issue could be ignored. I checked the content of the tarball as specified in the spec using diff and no differences.

Since this package respects Fedora general and python specific guidelines, i hereby approve this package into Fedora Packages Collection.

Comment 7 Luke Macken 2012-03-15 18:24:34 UTC
New Package SCM Request
=======================
Package Name: python-xappy
Short Description: A Python module providing an easy-to-use layer on top of the Xapian search engine
Owners: lmacken
Branches: f15 f16 el6

Comment 8 Gwyn Ciesla 2012-03-15 18:32:23 UTC
Git done (by process-git-requests).

Added f17.

Comment 9 Fedora Update System 2012-03-22 21:09:41 UTC
python-xappy-0.6.0-0.2.svn624.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/python-xappy-0.6.0-0.2.svn624.fc15

Comment 10 Fedora Update System 2012-03-22 21:09:53 UTC
python-xappy-0.6.0-0.2.svn624.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/python-xappy-0.6.0-0.2.svn624.fc16

Comment 11 Fedora Update System 2012-03-22 21:10:02 UTC
python-xappy-0.6.0-0.2.svn624.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/python-xappy-0.6.0-0.2.svn624.fc17

Comment 12 Fedora Update System 2012-03-22 21:10:13 UTC
python-xappy-0.6.0-0.2.svn624.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-xappy-0.6.0-0.2.svn624.el6

Comment 13 Fedora Update System 2012-03-23 00:38:32 UTC
python-xappy-0.6.0-0.2.svn624.fc17 has been pushed to the Fedora 17 testing repository.

Comment 14 Fedora Update System 2012-04-12 03:10:29 UTC
python-xappy-0.6.0-0.2.svn624.fc17 has been pushed to the Fedora 17 stable repository.

Comment 15 Fedora Update System 2012-04-12 05:58:26 UTC
python-xappy-0.6.0-0.2.svn624.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 16 Fedora Update System 2012-04-18 19:25:39 UTC
python-xappy-0.6.0-0.2.svn624.fc15 has been pushed to the Fedora 15 stable repository.

Comment 17 Fedora Update System 2012-04-18 19:32:16 UTC
python-xappy-0.6.0-0.2.svn624.fc16 has been pushed to the Fedora 16 stable repository.


Note You need to log in before you can comment on or make changes to this bug.